# Uses of Enum Class
org.eclipse.emf.compare.ConflictKind

Packages that use ConflictKind
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.conflict
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.conflict
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.utils

## Uses of ConflictKind in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare with type parameters of type ConflictKind
Modifier and Type
Field
Description
`static final List<ConflictKind>`
ConflictKind.`VALUES`
A public read-only list of all the 'Conflict Kind' enumerators.
Methods in org.eclipse.emf.compare that return ConflictKind
Modifier and Type
Method
Description
`static ConflictKind`
ConflictKind.`get(int value)`
Returns the 'Conflict Kind' literal with the specified integer value.
`static ConflictKind`
ConflictKind.`get(String literal)`
Returns the 'Conflict Kind' literal with the specified literal value.
`static ConflictKind`
ConflictKind.`getByName(String name)`
Returns the 'Conflict Kind' literal with the specified name.
`ConflictKind`
Conflict.`getKind()`
Returns the value of the 'Kind' attribute.
`static ConflictKind`
ConflictKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConflictKind[]`
ConflictKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.compare with parameters of type ConflictKind
Modifier and Type
Method
Description
`void`
Conflict.`setKind(ConflictKind value)`
Sets the value of the '`Kind`' attribute.

## Uses of ConflictKind in org.eclipse.emf.compare.conflict

Methods in org.eclipse.emf.compare.conflict with parameters of type ConflictKind
Modifier and Type
Method
Description
`protected void`
DefaultConflictDetector.`conflictOn(Comparison comparison, Diff diff1, Diff diff2, ConflictKind kind)`
This will be called whenever we detect a new conflict in order to create (or update) the actual association.

## Uses of ConflictKind in org.eclipse.emf.compare.impl

Fields in org.eclipse.emf.compare.impl declared as ConflictKind
Modifier and Type
Field
Description
`protected ConflictKind`
ConflictImpl.`kind`
The cached value of the '`Kind`' attribute.
`protected static final ConflictKind`
ConflictImpl.`KIND_EDEFAULT`
The default value of the '`Kind`' attribute.
Methods in org.eclipse.emf.compare.impl that return ConflictKind
Modifier and Type
Method
Description
`ConflictKind`
CompareFactoryImpl.`createConflictKindFromString(EDataType eDataType, String initialValue)`
`ConflictKind`
ConflictImpl.`getKind()`
Methods in org.eclipse.emf.compare.impl with parameters of type ConflictKind
Modifier and Type
Method
Description
`void`
ConflictImpl.`setKind(ConflictKind newKind)`

## Uses of ConflictKind in org.eclipse.emf.compare.internal.conflict

Methods in org.eclipse.emf.compare.internal.conflict with parameters of type ConflictKind
Modifier and Type
Method
Description
`protected void`
AbstractConflictSearch.`conflict(Diff other, ConflictKind kind)`
This will be called whenever we detect a new conflict in order to create (or update) the actual association.

## Uses of ConflictKind in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return ConflictKind
Modifier and Type
Method
Description
`ConflictKind`
ThreeWayComparisonGroupProvider.CompositeConflict.`getKind()`

## Uses of ConflictKind in org.eclipse.emf.compare.utils

Methods in org.eclipse.emf.compare.utils with parameters of type ConflictKind
Modifier and Type
Method
Description
`static com.google.common.base.Predicate<? super Conflict>`
EMFComparePredicates.`containsConflictOfTypes(ConflictKind... kinds)`
Deprecated.
This can be used to check whether a given Conflict is of one of the given kind.
`static com.google.common.base.Predicate<? super Diff>`
EMFComparePredicates.`hasConflict(ConflictKind... kinds)`
Deprecated.
This can be used to check whether a given Diff has a conflict of one of the given type.
`static com.google.common.base.Predicate<? super Diff>`
EMFComparePredicates.`hasDirectOrIndirectConflict(ConflictKind... kinds)`
Deprecated.
This predicate can be used to check whether a diff is in a conflict directly or indirectly.
`static com.google.common.base.Predicate<? super Diff>`
EMFComparePredicates.`hasNoDirectOrIndirectConflict(ConflictKind... kinds)`
Deprecated.
This predicate can be used to check whether a diff is not in a conflict directly or indirectly.
`static com.google.common.base.Predicate<Diff>`
EMFComparePredicates.`isNotRefinedDirectlyConflicting(ConflictKind... kinds)`
Deprecated.
Check whether a diff is not refined and has a direct conflict of (one of) the given type(s).